/**
 * Copyright (c) 2022 Yansen Zhang
 * wxcomponent is licensed under Mulan PSL v2.
 * You can use this software according to the terms and conditions of the Mulan PSL v2.
 * You may obtain a copy of Mulan PSL v2 at:
 *          http://license.coscl.org.cn/MulanPSL2
 * THIS SOFTWARE IS PROVIDED ON AN "AS IS" BASIS, WITHOUT WARRANTIES OF ANY KIND,
 * EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO NON-INFRINGEMENT,
 * MERCHANTABILITY OR FIT FOR A PARTICULAR PURPOSE.
 * See the Mulan PSL v2 for more details.
**/

package log

type Logger interface {
	// Error 级别日志
	Error(...interface{})

	// Info 级别错误
	Info(...interface{})
}

var inst Logger

// SetLogger 设置日志对象
func SetLogger(logger Logger) {
	inst = logger
}

// GetLogger 获取日志对象
func GetLogger() Logger {
	return inst
}

// Error 级别日志
func Error(v ...interface{}) {
	inst.Error(v...)
}

// Info 级别错误
func Info(v ...interface{}) {
	inst.Info(v...)
}
